- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# InstanceData Class Reference

The in-memory representation of the <instanceData> element. More...

`#include <OSInstance.h>`

Collaboration diagram for InstanceData:

[legend]
List of all members.

## Public Member Functions
| InstanceData ()
| The InstanceData class constructor.
| ~InstanceData ()
| The InstanceData class destructor.
bool | IsEqual (InstanceData *that)
| A function to check for the equality of two objects.
| InstanceData ()
| The InstanceData class constructor.
| ~InstanceData ()
| The InstanceData class destructor.
## Public Attributes
Variables * | variables
| variables is a pointer to a Variables object
Objectives * | objectives
| objectives is a pointer to a Objectives object
Constraints * | constraints
| constraints is a pointer to a Constraints object
LinearConstraintCoefficients * | linearConstraintCoefficients
| linearConstraintCoefficients is a pointer to a LinearConstraintCoefficients object
QuadraticCoefficients * | quadraticCoefficients
| quadraticCoefficients is a pointer to a QuadraticCoefficients object
NonlinearExpressions * | nonlinearExpressions
| nonlinearExpressions is a pointer to a NonlinearExpressions object
TimeDomain * | timeDomain
| timeDomain is a pointer to a TimeDomain object
Variables * | variables
| variables is a pointer to a Variables object
Objectives * | objectives
| objectives is a pointer to a Objectives object
Constraints * | constraints
| constraints is a pointer to a Constraints object
LinearConstraintCoefficients * | linearConstraintCoefficients
| linearConstraintCoefficients is a pointer to a LinearConstraintCoefficients object
QuadraticCoefficients * | quadraticCoefficients
| quadraticCoefficients is a pointer to a QuadraticCoefficients object
NonlinearExpressions * | nonlinearExpressions
| nonlinearExpressions is a pointer to a NonlinearExpressions object
TimeDomain * | timeDomain
| timeDomain is a pointer to a TimeDomain object

## Detailed Description

The in-memory representation of the <instanceData> element.

Remarks:
  The InstanceData object contains the objects that define the instance --
  - Variables object
  - Objectives object
  - Constraints object
  - LinearConstraintCoefficients object
  - QuadraticCoefficients object
  - NonlinearExpressions/b> object
  - TimeDomain/b> object

Definition at line 733 of file OSInstance.h.

## Constructor & Destructor Documentation

InstanceData::InstanceData | ( |  | ) |

The InstanceData class constructor.

Definition at line 932 of file OSInstance.cpp.

References constraints, linearConstraintCoefficients, nonlinearExpressions, objectives, quadraticCoefficients, timeDomain, and variables.

InstanceData::~InstanceData | ( |  | ) |

The InstanceData class destructor.

Definition at line 945 of file OSInstance.cpp.

References constraints, linearConstraintCoefficients, nonlinearExpressions, objectives, quadraticCoefficients, timeDomain, and variables.

InstanceData::InstanceData | ( |  | ) |

The InstanceData class constructor.

InstanceData::~InstanceData | ( |  | ) |

The InstanceData class destructor.

## Member Function Documentation

bool InstanceData::IsEqual | ( | InstanceData * | that | ) |

A function to check for the equality of two objects.

Definition at line 4934 of file OSInstance.cpp.

References constraints, linearConstraintCoefficients, nonlinearExpressions, objectives, quadraticCoefficients, and variables.

## Member Data Documentation

Variables* InstanceData::variables

variables is a pointer to a Variables object

Definition at line 743 of file OSInstance.h.

Referenced by IpoptProblem::get_starting_point(), BonminProblem::get_starting_point(), OSInstance::getLagrangianExpTree(), OSInstance::getVariableNumber(), OSInstance::initializeNonLinearStructures(), InstanceData(), IsEqual(), main(), OSInstance::processLinearConstraintCoefficients(), OSInstance::processVariables(), CoinSolver::setSolverOptions(), OSInstance::setVariableNumber(), OSiLWriter::writeOSiL(), and ~InstanceData().

Objectives* InstanceData::objectives

objectives is a pointer to a Objectives object

Definition at line 746 of file OSInstance.h.

Referenced by LindoSolver::dataEchoCheck(), KnitroSolver::dataEchoCheck(), IpoptSolver::dataEchoCheck(), CoinSolver::dataEchoCheck(), BonminSolver::dataEchoCheck(), BonminProblem::eval_f(), BonminProblem::eval_grad_f(), IpoptProblem::get_scaling_parameters(), OSInstance::getDenseObjectiveCoefficients(), OSInstance::getObjectiveNumber(), OSInstance::initializeNonLinearStructures(), InstanceData(), IsEqual(), main(), OSInstance::processObjectives(), OSInstance::setObjectiveNumber(), IpoptSolver::setSolverOptions(), OSDipBlockSlpSolver::solve(), OSDipBlockCoinSolver::solve(), ~InstanceData(), and OSInstance::~OSInstance().

Constraints* InstanceData::constraints

constraints is a pointer to a Constraints object

Definition at line 749 of file OSInstance.h.

Referenced by LindoSolver::buildSolverInstance(), OSInstance::calculateConstraintFunctionGradient(), OSInstance::calculateHessian(), OSInstance::getConstraintNumber(), OSInstance::getLagrangianExpTree(), OSInstance::initializeNonLinearStructures(), InstanceData(), IsEqual(), OSInstance::processConstraints(), OSInstance::processLinearConstraintCoefficients(), OSInstance::setConstraintNumber(), and ~InstanceData().

LinearConstraintCoefficients* InstanceData::linearConstraintCoefficients

linearConstraintCoefficients is a pointer to a LinearConstraintCoefficients object

Definition at line 754 of file OSInstance.h.

Referenced by OSInstance::getLinearConstraintCoefficientNumber(), OSInstance::getSparseJacobianFromColumnMajor(), OSInstance::getSparseJacobianFromRowMajor(), InstanceData(), IsEqual(), main(), OSInstance::processLinearConstraintCoefficients(), OSInstance::setLinearConstraintCoefficients(), ~InstanceData(), OSmps2osil::~OSmps2osil(), and OSnl2osil::~OSnl2osil().

QuadraticCoefficients* InstanceData::quadraticCoefficients

quadraticCoefficients is a pointer to a QuadraticCoefficients object

Definition at line 759 of file OSInstance.h.

Referenced by OSInstance::addQTermsToExressionTree(), OSInstance::getNumberOfQuadraticTerms(), OSInstance::getQuadraticTerms(), InstanceData(), IsEqual(), OSInstance::setQuadraticTerms(), and ~InstanceData().

NonlinearExpressions* InstanceData::nonlinearExpressions

nonlinearExpressions is a pointer to a NonlinearExpressions object

Definition at line 764 of file OSInstance.h.

Referenced by OSgams2osil::createOSInstance(), OSInstance::getAllNonlinearExpressionTrees(), OSInstance::getNumberOfNonlinearExpressions(), InstanceData(), IsEqual(), main(), OSInstance::setQuadraticTermsInNonlinearExpressions(), and ~InstanceData().

TimeDomain* InstanceData::timeDomain

timeDomain is a pointer to a TimeDomain object

Definition at line 769 of file OSInstance.h.

Referenced by OSInstance::getTimeDomainFormat(), OSInstance::getTimeDomainIntervalHorizon(), OSInstance::getTimeDomainIntervalStart(), OSInstance::getTimeDomainStageConList(), OSInstance::getTimeDomainStageNames(), OSInstance::getTimeDomainStageNumber(), OSInstance::getTimeDomainStageNumberOfConstraints(), OSInstance::getTimeDomainStageNumberOfObjectives(), OSInstance::getTimeDomainStageNumberOfVariables(), OSInstance::getTimeDomainStageObjList(), OSInstance::getTimeDomainStageVarList(), InstanceData(), OSInstance::setTimeDomain(), OSInstance::setTimeDomainInterval(), OSInstance::setTimeDomainStageConstraintsOrdered(), OSInstance::setTimeDomainStageConstraintsUnordered(), OSInstance::setTimeDomainStageObjectivesOrdered(), OSInstance::setTimeDomainStageObjectivesUnordered(), OSInstance::setTimeDomainStages(), OSInstance::setTimeDomainStageVariablesOrdered(), OSInstance::setTimeDomainStageVariablesUnordered(), and ~InstanceData().

Variables* InstanceData::variables

variables is a pointer to a Variables object

Definition at line 685 of file OSInstance.h.

Objectives* InstanceData::objectives

objectives is a pointer to a Objectives object

Definition at line 688 of file OSInstance.h.

Constraints* InstanceData::constraints

constraints is a pointer to a Constraints object

Definition at line 691 of file OSInstance.h.

LinearConstraintCoefficients* InstanceData::linearConstraintCoefficients

linearConstraintCoefficients is a pointer to a LinearConstraintCoefficients object

Definition at line 696 of file OSInstance.h.

QuadraticCoefficients* InstanceData::quadraticCoefficients

quadraticCoefficients is a pointer to a QuadraticCoefficients object

Definition at line 701 of file OSInstance.h.

NonlinearExpressions* InstanceData::nonlinearExpressions

nonlinearExpressions is a pointer to a NonlinearExpressions object

Definition at line 706 of file OSInstance.h.

TimeDomain* InstanceData::timeDomain

timeDomain is a pointer to a TimeDomain object

Definition at line 711 of file OSInstance.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.cpp